Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCExecutableBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCExecutableBinding`

All Implemented Interfaces:
  DCIExecutable, java.util.Map

Direct Known Subclasses:
  DCBindingContainer, DCIteratorBinding

public abstract class DCExecutableBinding
extends oracle.jbo.common.JboAbstractMap
implements DCIExecutable

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected boolean` | `mInternalGet_KeyResolved` Lookup the keyObj in the namespace of this binding-container.

Fields inherited from interface oracle.adf.model.binding.DCIExecutable
`EXECUTABLE_ACTION, EXECUTABLE_ITERATORBINDING, EXECUTABLE_REGION`

Constructor Summary
`DCExecutableBinding()`

Method Summary
`void` | `addDependentExecutable(DCExecutableBinding exec)` *** For internal framework use only ***
`java.lang.Object` | `get(java.lang.Object keyObj)`
`DCBindingContainer` | `getBindingContainer()` Return form binding object of this iterator binding's container.
`protected java.util.List` | `getDependents()`
`oracle.adf.model.binding.DCIExecutableDef` | `getExecutableDef()` *** For internal framework use only ***
`abstract int` | `getExecutableType()`
`java.lang.String` | `getName()` Returns the instance name of this DCBindingContainer object.
`java.lang.String` | `getRefreshExpression()` *** For internal framework use only ***
`int` | `getRefreshOption()` *** For internal framework use only ***
`abstract boolean` | `hasRefreshParametersChanged()` *** For internal framework use only ***
`protected java.lang.Object` | `internalGet(java.lang.String key)`
`boolean` | `isRefreshed()` *** For internal framework use only ***
`boolean` | `refreshIfNeeded()` *** For internal framework use only ***
`void` | `release(int flags)` *** For internal framework use only ***
`void` | `removeDependentExecutable(DCExecutableBinding exec)` *** For internal framework use only ***
`protected void` | `resetDependentsRefresh()`
`void` | `setBindingContainer(DCBindingContainer ctr)`
`void` | `setExecutableDef(oracle.adf.model.binding.DCIExecutableDef execdef)` *** For internal framework use only ***
`void` | `setName(java.lang.String name)` *** For internal framework use only ***
`void` | `setRefreshed(boolean flag)` *** For internal framework use only ***
`void` | `setRefreshExpression(java.lang.String expr)` *** For internal framework use only ***
`void` | `setRefreshOption(int option)` *** For internal framework use only ***

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, hashCode, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.binding.DCIExecutable
`refresh`

Field Detail

### mInternalGet_KeyResolved

    protected boolean mInternalGet_KeyResolved

  Lookup the keyObj in the namespace of this binding-container. If the keyObj is a string and matches one of the iterator bindings or container bindings return that. Otherwise lookup if the keyObj matches the name of one of the public spel-accessible values in this object and if so return that.

Constructor Detail

### DCExecutableBinding

    public DCExecutableBinding()

Method Detail

### getName

    public final java.lang.String getName()

  Returns the instance name of this DCBindingContainer object.
  Specified by:
    `getName` in interface `DCIExecutable`

### setName

    public final void setName(java.lang.String name)

  *** For internal framework use only ***

  Sets the instance name of this DCBindingContainer object.

  Specified by:
    `setName` in interface `DCIExecutable`

### setRefreshOption

    public final void setRefreshOption(int option)

  *** For internal framework use only ***
  Specified by:
    `setRefreshOption` in interface `DCIExecutable`

### setRefreshExpression

    public final void setRefreshExpression(java.lang.String expr)

  *** For internal framework use only ***
  Specified by:
    `setRefreshExpression` in interface `DCIExecutable`

### getRefreshOption

    public final int getRefreshOption()

  *** For internal framework use only ***
  Specified by:
    `getRefreshOption` in interface `DCIExecutable`

### getRefreshExpression

    public final java.lang.String getRefreshExpression()

  *** For internal framework use only ***
  Specified by:
    `getRefreshExpression` in interface `DCIExecutable`

### get

    public java.lang.Object get(java.lang.Object keyObj)

  Specified by:
    `get` in interface `java.util.Map`

### internalGet

    protected java.lang.Object internalGet(java.lang.String key)

### getExecutableType

    public abstract int getExecutableType()

  Specified by:
    `getExecutableType` in interface `DCIExecutable`

### release

    public void release(int flags)

  *** For internal framework use only ***
  Specified by:
    `release` in interface `DCIExecutable`

### hasRefreshParametersChanged

    public abstract boolean hasRefreshParametersChanged()

  *** For internal framework use only ***
  Specified by:
    `hasRefreshParametersChanged` in interface `DCIExecutable`

### getExecutableDef

    public oracle.adf.model.binding.DCIExecutableDef getExecutableDef()

  *** For internal framework use only ***
  Specified by:
    `getExecutableDef` in interface `DCIExecutable`

### setBindingContainer

    public void setBindingContainer(DCBindingContainer ctr)

  Specified by:
    `setBindingContainer` in interface `DCIExecutable`

### getBindingContainer

    public DCBindingContainer getBindingContainer()

  Return form binding object of this iterator binding's container.
  Specified by:
    `getBindingContainer` in interface `DCIExecutable`

### setExecutableDef

    public void setExecutableDef(oracle.adf.model.binding.DCIExecutableDef execdef)

  *** For internal framework use only ***
  Specified by:
    `setExecutableDef` in interface `DCIExecutable`

### refreshIfNeeded

    public boolean refreshIfNeeded()

  *** For internal framework use only ***
  Specified by:
    `refreshIfNeeded` in interface `DCIExecutable`

### setRefreshed

    public void setRefreshed(boolean flag)

  *** For internal framework use only ***
  Specified by:
    `setRefreshed` in interface `DCIExecutable`

### getDependents

    protected java.util.List getDependents()

### resetDependentsRefresh

    protected void resetDependentsRefresh()

### isRefreshed

    public boolean isRefreshed()

  *** For internal framework use only ***
  Specified by:
    `isRefreshed` in interface `DCIExecutable`

### addDependentExecutable

    public void addDependentExecutable(DCExecutableBinding exec)

  *** For internal framework use only ***

### removeDependentExecutable

    public void removeDependentExecutable(DCExecutableBinding exec)

  *** For internal framework use only ***

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.